Name: gnome-alsamixer
Version: 0.9.7
Release: alt1.qa1

Summary: %name is an ALSA mixer for GNOME
Summary(ru_RU.UTF-8): ALSA-микшер для GNOME
License: GPL
Group: Sound
Url: http://www.paw.co.za/projects/%name
#Now in GNOME CVS
Source: %name.tar.bz2
Patch0: change_gconf-keys_path.diff
Patch1: gnome-alsamixer.schemas.diff

%define gtk_ver 2.5.3
%define libgnomeui_ver 2.8.0
%define alsa_ver 0.9.6

Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libalsa >= %alsa_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libalsa-devel >= %alsa_ver

BuildRequires: fontconfig GConf libavahi-glib libdbus-glib

%description
This package provides %name - a sound mixer for GNOME which supports
ALSA drivers.

%description -l ru_RU.UTF-8
В этом пакете находится  %name - звуковой микшер для GNOME с поддержкой драйверов ALSA.

%prep
%setup -q -n %name
%patch0 -p1
%patch1 -p1

%build
aclocal
glib-gettextize --force
%__autoreconf
%configure
%make_build

%install
%__rm -f %name.desktop
%makeinstall

%__cat <<__DESKTOP__ >%name.desktop
[Desktop Entry]
Encoding=UTF-8
Name=ALSA Volume Control
Exec=%name
Info=A sound mixer which supports ALSA drivers.
Icon=%_datadir/pixmaps/%name/%name-icon.png
Terminal=false
MultipleArgs=false
Type=Application
Categories=GNOME;Application;AudioVideo;
Encoding=UTF-8
__DESKTOP__

%__install -pD -m644 %name.desktop %buildroot%_datadir/applications/%name.desktop


%find_lang %name

%postun -n gnome-alsamixer
%clean_menus


%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/*/*
%doc AUTHORS ChangeLog

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.9.7-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for gnome-alsamixer

* Sun Dec 24 2006 Vyacheslav Dikonov <slava@altlinux.ru> 0.9.7-alt1
- GNOME CVS version 2006-12-24

* Sun Nov 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Mon Sep 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.5-alt1
- 0.9.5

* Fri Aug 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.4-alt1
- First build for Sisyphus.
